Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractLifecycleHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractThreadingHandler
          org.codehaus.griffon.runtime.core.AbstractLifecycleHandler

All Implemented Interfaces:
  LifecycleHandler

    public abstract class AbstractLifecycleHandler
    extends AbstractThreadingHandler

Base implementation of the `LifecycleHandler` interface.

Authors:
  Andres Almiray

Since:
  0.9.3

Constructor Summary
`AbstractLifecycleHandler()`

Method Summary
`GriffonApplication` | `getApp()`

Methods inherited from class AbstractThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractLifecycleHandler

    AbstractLifecycleHandler()

Method Detail

### getApp

    public GriffonApplication getApp()

Groovy Documentation